NX Open C++ Reference Guide
|
Represents a @link Annotations::LightweightSection Annotations::LightweightSection@endlink builder
Default values. More...
Public Member Functions | |
bool | AssemblyCrosshatching () |
Returns the assembly crosshatch option Created in NX9.0.0. | |
NXOpen::SelectDisplayableObjectList * | BoundingBoxComponents () |
Returns the objects to define the box section type bounding extents Created in NX8.0.0. | |
NXOpen::Annotations::HatchFillSettingsBuilder * | CrosshatchSettings () |
Returns the crosshatch settings Created in NX9.0.0. | |
NXOpen::Annotations::CuttingPlaneSymbolBuilder * | CuttingPlaneSymbol () |
Returns the cutting plane symbol Created in NX9.0.0. | |
bool | DisplayCrosshatch () |
Returns the display crosshatch option Created in NX9.0.0. | |
void | GetSectionCurves (std::vector< NXOpen::Curve * > &curves) |
Returns the lightweight section view curves | |
NXOpen::SelectDisplayableObjectList * | ObjectsToSection () |
Returns the objects to section Created in NX7.5.0. | |
int | PatternDefinedBy () |
Returns the crosshatch pattern defined by Created in NX9.0.0. | |
bool | RestrictCrosshatch () |
Returns the restrict crosshatch angle to 45 degree option Created in NX9.0.0. | |
bool | SaveAssociativeCurves () |
Returns the save associative curves toggle value Created in NX7.5.0. | |
void | SetAssemblyCrosshatching (bool assemblyCrosshatchingOption) |
Sets the assembly crosshatch option Created in NX9.0.0. | |
void | SetDisplayCrosshatch (bool displayCrosshatchOption) |
Sets the display crosshatch option Created in NX9.0.0. | |
void | SetPatternDefinedBy (int patternDefinedBy) |
Sets the crosshatch pattern defined by Created in NX9.0.0. | |
void | SetRestrictCrosshatch (bool restrictCrosshatchOption) |
Sets the restrict crosshatch angle to 45 degree option Created in NX9.0.0. | |
void | SetSaveAssociativeCurves (bool saveAssociativeCurvesToggle) |
Sets the save associative curves toggle value Created in NX7.5.0. | |
void | SetToleranceCrosshatch (double crosshatchAdjacencyTolerance) |
Sets the crosshatch adjacency tolerance Created in NX9.0.0. | |
void | SetViewName (const NXString &viewName) |
Sets the name of the lightweight section view Created in NX7.5.0. | |
void | SetViewName (const char *viewName) |
Sets the name of the lightweight section view Created in NX7.5.0. | |
double | ToleranceCrosshatch () |
Returns the crosshatch adjacency tolerance Created in NX9.0.0. | |
NXString | ViewName () |
Returns the name of the lightweight section view Created in NX7.5.0. | |
![]() | |
void | AlternatePlane () |
Cycle through planes that are 90 degrees aligned to the current section plane. | |
NXOpen::NXColor * | CapColor () |
Returns the cap color. | |
NXOpen::Display::DynamicSectionTypes::CapColorOption | CapColorOption () |
Returns the cap color option Created in NX5.0.0. | |
NXOpen::Display::DynamicSectionTypes::Clip | ClipType () |
Returns the clip type Created in NX5.0.0. | |
NXOpen::DatumPlane * | CreateDatumPlane () |
Creates a datum plane from the active section plane. | |
NXOpen::Display::DynamicSectionTypes::CoordinateSystem | CsysType () |
Returns the coordinate system used for creating section plane along X, Y or Z principal planes. | |
NXOpen::NXColor * | CurveColor () |
Returns the curve color. | |
NXOpen::Display::DynamicSectionTypes::CurveColorOption | CurveColorOption () |
Returns the curve color option Created in NX5.0.0. | |
bool | DeferCurveUpdate () |
Returns the defer curve update property. | |
void | EditView (NXOpen::ModelingView *view) |
Edits the section object in the modeling view. | |
void | GetActivePlane (NXOpen::Display::DynamicSectionTypes::Axis *planeAxis, NXOpen::Display::DynamicSectionTypes::ActivePlane *activePlane) |
Gets the active plane in the section. | |
NXOpen::Display::PlaneGridBuilder * | GetGridSettings () |
Creates a grid settings builder from the active section plane. | |
NXString | GetName () |
Gets the section name. | |
NXOpen::Vector3d | GetNormal () |
Gets the normal of the section plane. | |
double | GetOffset () |
Gets the the plane offset. | |
void | GetOffsetLimits (double *minimumOffset, double *maximumOffset) |
Gets minimum and maximum offset limits. | |
NXOpen::Point3d | GetOrigin () |
Gets the section origin. | |
double | GetPlaneThickness () |
Gets the thickness between active plane pair. | |
double | GetRotationAngle (NXOpen::Display::DynamicSectionTypes::Axis rotationAxis) |
Gets rotation angle for specified axis. | |
NXOpen::Matrix3x3 | GetRotationMatrix () |
Gets the section rotation matrix. | |
NXOpen::NXColor * | InterferenceColor () |
Returns the interference color. | |
bool | IsAssociativitySupported () |
Determines if an associative section plane is supported. | |
NXOpen::Display::LayerSettingsBuilder * | LayerSettings () |
Returns the layer settings builder. | |
bool | LoadAllIntersecting (NXOpen::PartLoadStatus **loadStatus) |
Loads all components that intersect the current section plane. | |
bool | LoadNearIntersecting (NXOpen::PartLoadStatus **loadStatus) |
Loads components that intersect the current section plane and are near the section plane origin. | |
bool | LockPlanes () |
Returns the lock planes flag. | |
int | NumberInSeries () |
Returns the number of requested section planes in the current section series. | |
void | OffsetOriginInPlane (double xOffset, double yOffset) |
Offsets section origin within current section plane. | |
void | PlaneX () |
Creates a plane along X direction. | |
void | PlaneY () |
Creates a plane along Y direction. | |
void | PlaneZ () |
Creates a plane along Z direction. | |
void | RestoreView () |
Restores the section to the saved section in the view database. | |
void | ReverseDirection () |
Reverses the plane direction. | |
bool | ReverseSeries () |
Returns the reverse series flag Created in NX6.0.0. | |
void | SaveCurves (const NXString &groupName) |
Creates curves by intersecting all clipping planes of the section with all visible bodies in the scene and adds them to the group created with the specified name. | |
void | SaveCurves (const char *groupName) |
Creates curves by intersecting all clipping planes of the section with all visible bodies in the scene and adds them to the group created with the specified name. | |
double | SeriesSpacing () |
Returns the section plane spacing in the current section series. | |
void | SetActivePlane (NXOpen::Display::DynamicSectionTypes::Axis planeAxis, NXOpen::Display::DynamicSectionTypes::ActivePlane activePlane) |
Sets the active plane in the section. | |
void | SetAssociativePlane (NXOpen::Plane *planeTag) |
Makes dynamic section associative to the specified plane The plane must be a smart plane; otherwise an error will be reported. | |
void | SetCapColor (NXOpen::NXColor *capColor) |
Sets the cap color. | |
void | SetCapColorOption (NXOpen::Display::DynamicSectionTypes::CapColorOption capColorOption) |
Sets the cap color option Created in NX5.0.0. | |
void | SetClipType (NXOpen::Display::DynamicSectionTypes::Clip clipType) |
Sets the clip type Created in NX5.0.0. | |
void | SetCsysType (NXOpen::Display::DynamicSectionTypes::CoordinateSystem csys) |
Sets the coordinate system used for creating section plane along X, Y or Z principal planes. | |
void | SetCurveColor (NXOpen::NXColor *curveColor) |
Sets the curve color. | |
void | SetCurveColorOption (NXOpen::Display::DynamicSectionTypes::CurveColorOption curveColorOption) |
Sets the curve color option Created in NX5.0.0. | |
void | SetDefaultPlane () |
Set current section plane to its default definition. | |
void | SetDefaults () |
Set current section to the default values. | |
void | SetDeferCurveUpdate (bool deferCurveUpdate) |
Sets the defer curve update property. | |
void | SetInterferenceColor (NXOpen::NXColor *interferenceColor) |
Sets the interference color. | |
void | SetLockPlanes (bool lockPlanes) |
Sets the lock planes flag. | |
bool | SetName (const NXString §ionName) |
Sets the section name. | |
bool | SetName (const char *sectionName) |
Sets the section name. | |
void | SetNormal (const NXOpen::Vector3d &normal) |
Sets the normal of the section plane Section offset and rotation matrix are updated. | |
void | SetNumberInSeries (int numberSectionsRequested) |
Sets the number of requested section planes in the current section series. | |
void | SetOffset (double offset) |
Sets the the plane offset. | |
void | SetOffsetByPoint (const NXOpen::Point3d &point) |
This method offsets the active clipping plane such that the plane passes through the specified point. | |
void | SetOrigin (const NXOpen::Point3d &origin) |
Sets the section origin. | |
void | SetPlane (const NXOpen::Point3d &axisOrigin, const NXOpen::Point3d &origin, const NXOpen::Matrix3x3 &rotationMatrix) |
Sets a section plane to be the specified plane The plane is created at the specified origin with the specified rotation matrix. | |
void | SetPlaneThickness (double planeThickness) |
Sets the thickness between active plane pair. | |
void | SetReverseSeries (bool reverseSeries) |
Sets the reverse series flag Created in NX6.0.0. | |
void | SetRotationAngle (NXOpen::Display::DynamicSectionTypes::Axis rotationAxis, double angle) |
Rotates the section about specified axis by the specified angle. | |
void | SetRotationMatrix (NXOpen::Display::DynamicSectionTypes::Axis rotationAxis, const NXOpen::Matrix3x3 &rotationMatrix) |
Sets the section rotation matrix Specify Display::DynamicSectionTypes::AxisNone if the axis about which rotation was performed is not known. | |
void | SetSeriesSpacing (double sectionSpacing) |
Sets the section plane spacing in the current section series. | |
void | SetShowCap (bool showCap) |
Sets the cap on off flag Created in NX5.0.0. | |
void | SetShowClip (bool showClip) |
Sets the clip on off flag Created in NX5.0.0. | |
void | SetShowCurves (bool showCurves) |
Sets the curve on off flag. | |
void | SetShowGrid (bool showGrid) |
Sets the show grid display flag Created in NX6.0.0. | |
void | SetShowInterference (bool showInterference) |
Sets the interference on off flag. | |
void | SetShowViewer (bool showViewer) |
Sets the 2D viewer display flag Created in NX6.0.0. | |
void | SetType (NXOpen::Display::DynamicSectionTypes::Type type) |
Sets the section type Created in NX5.0.0. | |
void | SetView (NXOpen::ModelingView *view) |
Sets the modeling view in which section object edits are being done. | |
bool | ShowCap () |
Returns the cap on off flag Created in NX5.0.0. | |
bool | ShowClip () |
Returns the clip on off flag Created in NX5.0.0. | |
bool | ShowCurves () |
Returns the curve on off flag. | |
bool | ShowGrid () |
Returns the show grid display flag Created in NX6.0.0. | |
bool | ShowInterference () |
Returns the interference on off flag. | |
void | ShowSectionCurves (bool showCurves) |
Shows the section curves in the view associated with the builder. | |
bool | ShowViewer () |
Returns the 2D viewer display flag Created in NX6.0.0. | |
NXOpen::Display::DynamicSectionTypes::Type | Type () |
Returns the section type Created in NX5.0.0. | |
NXOpen::ModelingView * | View () |
Returns the modeling view in which section object edits are being done. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Annotations::LightweightSection Annotations::LightweightSection@endlink builder
Default values.
Property | Value |
---|---|
CapColorOption |
Any |
ClipType | |
CurveColorOption |
Any |
CuttingPlaneSymbol.DisplayCuttingPlaneSymbol |
0 |
CuttingPlaneSymbol.UseTwoArrows |
0 |
CuttingPlaneSymbol.ViewNameFormat |
UserDefined |
LockPlanes |
true |
ShowCap |
true |
ShowClip |
true |
ShowCurves (deprecated) |
false |
ShowGrid |
false |
ShowInterference |
false |
ShowViewer |
false |
Type |
OnePlane |
Created in NX7.5.0.
bool NXOpen::Annotations::LightweightSectionBuilder::AssemblyCrosshatching | ( | ) |
Returns the assembly crosshatch option
Created in NX9.0.0.
License requirements : None
NXOpen::SelectDisplayableObjectList* NXOpen::Annotations::LightweightSectionBuilder::BoundingBoxComponents | ( | ) |
Returns the objects to define the box section type bounding extents
Created in NX8.0.0.
License requirements : None
NXOpen::Annotations::HatchFillSettingsBuilder* NXOpen::Annotations::LightweightSectionBuilder::CrosshatchSettings | ( | ) |
Returns the crosshatch settings
Created in NX9.0.0.
License requirements : None
NXOpen::Annotations::CuttingPlaneSymbolBuilder* NXOpen::Annotations::LightweightSectionBuilder::CuttingPlaneSymbol | ( | ) |
Returns the cutting plane symbol
Created in NX9.0.0.
License requirements : None
bool NXOpen::Annotations::LightweightSectionBuilder::DisplayCrosshatch | ( | ) |
Returns the display crosshatch option
Created in NX9.0.0.
License requirements : None
void NXOpen::Annotations::LightweightSectionBuilder::GetSectionCurves | ( | std::vector< NXOpen::Curve * > & | curves | ) |
Returns the lightweight section view curves
Created in NX7.5.0.
License requirements : None
curves | Array of lightweight section view curves |
NXOpen::SelectDisplayableObjectList* NXOpen::Annotations::LightweightSectionBuilder::ObjectsToSection | ( | ) |
Returns the objects to section
Created in NX7.5.0.
License requirements : None
int NXOpen::Annotations::LightweightSectionBuilder::PatternDefinedBy | ( | ) |
Returns the crosshatch pattern defined by
Created in NX9.0.0.
License requirements : None
bool NXOpen::Annotations::LightweightSectionBuilder::RestrictCrosshatch | ( | ) |
Returns the restrict crosshatch angle to 45 degree option
Created in NX9.0.0.
License requirements : None
bool NXOpen::Annotations::LightweightSectionBuilder::SaveAssociativeCurves | ( | ) |
Returns the save associative curves toggle value
Created in NX7.5.0.
License requirements : None
void NXOpen::Annotations::LightweightSectionBuilder::SetAssemblyCrosshatching | ( | bool | assemblyCrosshatchingOption | ) |
Sets the assembly crosshatch option
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
assemblyCrosshatchingOption | assemblycrosshatchingoption |
void NXOpen::Annotations::LightweightSectionBuilder::SetDisplayCrosshatch | ( | bool | displayCrosshatchOption | ) |
Sets the display crosshatch option
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
displayCrosshatchOption | displaycrosshatchoption |
void NXOpen::Annotations::LightweightSectionBuilder::SetPatternDefinedBy | ( | int | patternDefinedBy | ) |
Sets the crosshatch pattern defined by
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
patternDefinedBy | patterndefinedby |
void NXOpen::Annotations::LightweightSectionBuilder::SetRestrictCrosshatch | ( | bool | restrictCrosshatchOption | ) |
Sets the restrict crosshatch angle to 45 degree option
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
restrictCrosshatchOption | restrictcrosshatchoption |
void NXOpen::Annotations::LightweightSectionBuilder::SetSaveAssociativeCurves | ( | bool | saveAssociativeCurvesToggle | ) |
Sets the save associative curves toggle value
Created in NX7.5.0.
License requirements : geometric_tol ("GDT")
saveAssociativeCurvesToggle | saveassociativecurvestoggle |
void NXOpen::Annotations::LightweightSectionBuilder::SetToleranceCrosshatch | ( | double | crosshatchAdjacencyTolerance | ) |
Sets the crosshatch adjacency tolerance
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
crosshatchAdjacencyTolerance | crosshatchadjacencytolerance |
void NXOpen::Annotations::LightweightSectionBuilder::SetViewName | ( | const NXString & | viewName | ) |
Sets the name of the lightweight section view
Created in NX7.5.0.
License requirements : geometric_tol ("GDT")
viewName | Section name |
void NXOpen::Annotations::LightweightSectionBuilder::SetViewName | ( | const char * | viewName | ) |
Sets the name of the lightweight section view
Created in NX7.5.0.
License requirements : geometric_tol ("GDT")
viewName | Section name |
double NXOpen::Annotations::LightweightSectionBuilder::ToleranceCrosshatch | ( | ) |
Returns the crosshatch adjacency tolerance
Created in NX9.0.0.
License requirements : None
NXString NXOpen::Annotations::LightweightSectionBuilder::ViewName | ( | ) |
Returns the name of the lightweight section view
Created in NX7.5.0.
License requirements : None